package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppResourceSearch.SearchAppResources(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchAppResourcesResponse != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appResourceSearch.searchAppResources();
for await (const page of result) {
console.log(page);
}
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/app_resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "<string>",
"appUserIds": [
"<string>"
],
"excludeDeletedResourceBindings": true,
"excludeResourceIds": [
"<string>"
],
"excludeResourceTypeTraitIds": [
"<string>"
],
"ownerUserIds": [
"<string>"
],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
],
"resourceIds": [
"<string>"
],
"resourceTypeIds": [
"<string>"
],
"resourceTypeTraitIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/app_resources"
payload = {
"appId": "<string>",
"appUserIds": ["<string>"],
"excludeDeletedResourceBindings": True,
"excludeResourceIds": ["<string>"],
"excludeResourceTypeTraitIds": ["<string>"],
"ownerUserIds": ["<string>"],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
],
"resourceIds": ["<string>"],
"resourceTypeIds": ["<string>"],
"resourceTypeTraitIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: '<string>',
appUserIds: ['<string>'],
excludeDeletedResourceBindings: true,
excludeResourceIds: ['<string>'],
excludeResourceTypeTraitIds: ['<string>'],
ownerUserIds: ['<string>'],
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{appId: '<string>', appResourceTypeId: '<string>', id: '<string>'}],
resourceIds: ['<string>'],
resourceTypeIds: ['<string>'],
resourceTypeTraitIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/app_resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"appPath": "<string>",
"appResource": {
"appId": "<string>",
"appResourceTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customDescription": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"grantCount": "<string>",
"id": "<string>",
"matchBatonId": "<string>",
"parentAppResourceId": "<string>",
"parentAppResourceTypeId": "<string>",
"secretTrait": {
"identityAppUserId": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"secretCreatedAt": "2023-11-07T05:31:56Z",
"secretExpiresAt": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z"
},
"parentResourcePath": "<string>",
"parentResourceTypePath": "<string>",
"resourceTypePath": "<string>"
}
],
"nextPageToken": "<string>"
}Search App Resources
Invokes the c1.api.app.v1.AppResourceSearch.SearchAppResources method.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppResourceSearch.SearchAppResources(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchAppResourcesResponse != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appResourceSearch.searchAppResources();
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The SearchAppResourcesRequest message.
The appId field.
The appUserIds field.
The excludeDeletedResourceBindings field.
The excludeResourceIds field.
The excludeResourceTypeTraitIds field.
The ownerUserIds field.
The pageSize field.
The pageToken field.
The query field.
The refs field.
Show child attributes
Show child attributes
The resourceIds field.
The resourceTypeIds field.
The resourceTypeTraitIds field.
Was this page helpful?